# Kafka 配置
KAFKA_BROKER=222.186.20.67:9092
KAFKA_ASR_TOPIC=asr
KAFKA_CHAT_TOPIC=chat
KAFKA_TTS_TOPIC=tts


# Redis 配置
REDIS_HOST=222.186.20.67
REDIS_PORT=6379
REDIS_ASR_DB=43
REDIS_CHAT_DB=44
REDIS_TTS_DB=45
REDIS_PASSWORD=Obscura@2024
REDIS_API_DB=31
REDIS_API_USAGE_DB=32
REDIS_TASK_DB=46
REDIS_SESSION_DB=47

REDIS_SESSION_DB_ZH=48
REDIS_SESSION_DB_EN=49
REDIS_SESSION_DB_KO=50




# GPT-SoVITS 配置
GPT_MODEL_PATH=TTS/GPT_SoVITS/pretrained_models/gsv-v2final-pretrained/s1bert25hz-5kh-longer-epoch=12-step=369668.ckpt
SOVITS_MODEL_PATH=TTS/GPT_SoVITS/pretrained_models/gsv-v2final-pretrained/s2G2333k.pth
REF_AUDIO_PATH=sample/woman.wav
REF_TEXT_PATH=sample/woman.txt
REF_LANGUAGE=中文
TARGET_LANGUAGE=多语种混合
OUTPUT_PATH=${OBSCURA_AUDIO_PATH:-/obscura/task/audio_files}

# VOICE_CONFIGS
GIRL_REF_AUDIO=sample/gril.wav
GIRL_REF_TEXT=sample/gril.txt

WOMAN_REF_AUDIO=sample/woman.wav
WOMAN_REF_TEXT=sample/woman.txt


MAN_REF_AUDIO=sample/man.wav
MAN_REF_TEXT=sample/man.txt

LEIJUN_REF_AUDIO=sample/leijun.wav
LEIJUN_REF_TEXT=sample/leijun.txt

DUFU_REF_AUDIO=sample/dufu.wav
DUFU_REF_TEXT=sample/dufu.txt

HEJIONG_REF_AUDIO=sample/hejiong.wav
HEJIONG_REF_TEXT=sample/hejiong.txt 

MAHUATENG_REF_AUDIO=sample/mahuateng.wav
MAHUATENG_REF_TEXT=sample/mahuateng.txt

LIDAN_REF_AUDIO=sample/lidan.wav
LIDAN_REF_TEXT=sample/lidan.txt

YUHUA_REF_AUDIO=sample/yuhua.wav
YUHUA_REF_TEXT=sample/yuhua.txt

LIUZHENYUN_REF_AUDIO=sample/liuzhenyun.wav
LIUZHENYUN_REF_TEXT=sample/liuzhenyun.txt

DABING_REF_AUDIO=sample/dabing.wav
DABING_REF_TEXT=sample/dabing.txt

LUOXIANG_REF_AUDIO=sample/luoxiang.wav
LUOXIANG_REF_TEXT=sample/luoxiang.txt

XUZHIYUAN_REF_AUDIO=sample/xuzhiyuan.wav
XUZHIYUAN_REF_TEXT=sample/xuzhiyuan.txt


REDIS_GIRL_DB = 51
REDIS_WOMAN_DB = 52
REDIS_MAN_DB = 53
REDIS_LEIJUN_DB = 54
REDIS_DUFU_DB = 55
REDIS_HEJIONG_DB = 56
REDIS_MAHUATENG_DB = 57
REDIS_LIDAN_DB = 58
REDIS_DABING_DB = 59
REDIS_LUOXIANG_DB = 60
REDIS_XUZHIYUAN_DB = 61
REDIS_YUHUA_DB = 62
REDIS_LIUZHENYUN_DB = 63


# Ollama API配置 - 多个地址用逗号分隔
OLLAMA_URLS=http://222.186.20.67:11435,http://222.186.20.67:11436,http://222.186.20.67:11437,http://222.186.20.67:11438,http://222.186.20.67:11439,http://222.186.20.67:11440,http://222.186.20.67:11441
OLLAMA_TIMEOUT=10  # API请求超时时间(秒)